Skip repository tests when the SCM client command is unavailable
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 6.0.5

Description

Repository tests can fail if the required SCM client command is unavailable or outdated (e.g., Mercurial 5.1 or higher is required for
the current trunk), resulting in a large number of test failures.

To reproduce the issue, add the following lines to config/configuration.yml and run the repository tests.

scm_subversion_command: /tmp/invalid-svn
scm_mercurial_command: /tmp/invalid-hg
scm_git_command: /tmp/invalid-git
scm_cvs_command: /tmp/invalid-cvs
scm_bazaar_command: /tmp/invalid-bzr

The attached patch modifies the test setup so that repository tests are skipped when the corresponding SCM client command is not
available. This avoids test failures in such environments.

This issue is related to #337844#note-24.

Related issues:
Related to Redmine - Feature #33784: Update Mercurial repository support to b... Closed

Associated revisions

Revision 23618 - 2025-04-10 11:42 - Go MAEDA
Skip repository tests when the SCM client command is unavailable (#42500).

Patch by Go MAEDA (user:maeda).

Revision 23644 - 2025-04-12 06:43 - Go MAEDA
Merged r23618 from trunk to 6.0-stable (#42500).

Revision 23645 - 2025-04-12 06:51 - Go MAEDA
Merged r23618 from trunk to 5.1-stable (#42500).

History

#1 - 2025-04-07 10:47 - Go MAEDA

- Target version changed from Candidate for next major release to 6.1.0

Setting the target version to 6.1.0.

#2 - 2025-04-10 11:43 - Go MAEDA

- Category changed from Code cleanup/refactoring to SCM
- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Target version changed from 6.1.0 to 6.0.5

Committed the patch in r23618.

#3 - 2025-04-12 06:52 - Go MAEDA

- Status changed from Resolved to Closed
https://www.redmine.org/issues/33784#note-24
https://www.redmine.org/projects/redmine/repository/svn/revisions/23618

Merged the change into the stable branches in r23644 and r23645.

#4 - 2025-04-20 07:09 - Go MAEDA
- Related to Feature #33784: Update Mercurial repository support to be compatible with Python 3 and remove support for Mercurial < 5.1 added

Files

skip-repository-tests-when-scm-unavailable.patch 10.9 KB 2025-04-01 Go MAEDA
